Retrieves a specific user by id
curl --request GET \
--url https://api.rootly.com/v1/users/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "969",
"type": "users",
"attributes": {
"name": "Shawn Wisoky",
"email": "[email protected]",
"phone": null,
"phone_2": null,
"first_name": "Shawn",
"last_name": "Wisoky",
"full_name": "Shawn Wisoky",
"full_name_with_team": "[Jakubowski-Stehr] Shawn Wisoky",
"slack_id": null,
"time_zone": "Etc/UTC",
"updated_at": "2026-01-21T11:23:35.221-08:00",
"created_at": "2026-01-21T11:23:34.926-08:00"
},
"relationships": {
"email_addresses": {
"data": [
{
"id": "d920a7c0-e69d-4644-ba50-eaa5ffa37ef0",
"type": "user_email_addresses"
}
]
},
"phone_numbers": {
"data": []
},
"devices": {
"data": []
},
"role": {
"data": {
"id": "93729700-195b-4e43-9e8b-610f0c21eb71",
"type": "roles"
}
},
"on_call_role": {
"data": {
"id": "0eda74f1-0f38-4a16-bce9-a5d59e2da5ac",
"type": "on_call_roles"
}
},
"teams": {
"data": [
{
"id": "d32fdff0-f892-4b1b-90d7-e05b51edb318",
"type": "groups"
}
]
},
"schedules": {
"data": [
{
"id": "680f605b-b94f-4e0a-9383-19495bbe3e73",
"type": "schedules"
}
]
},
"notification_rules": {
"data": [
{
"id": "f5750d5d-d86b-47b6-83c6-b7deecb5fbf4",
"type": "user_notification_rules"
},
{
"id": "a20d1770-482a-4f84-bf05-ed4b126385f2",
"type": "user_notification_rules"
},
{
"id": "d522ea96-93dd-4727-8a22-e5a691e49eb1",
"type": "user_notification_rules"
}
]
}
}
},
"included": [
{
"id": "d32fdff0-f892-4b1b-90d7-e05b51edb318",
"type": "groups",
"attributes": {
"slug": "dolorem-ratione-porro-cum",
"name": "Dolorem ratione porro cum.",
"description": null,
"color": "#E65252",
"position": 1,
"notify_emails": [],
"slack_channels": [],
"slack_aliases": [],
"pagerduty_id": null,
"pagerduty_service_id": null,
"backstage_id": null,
"external_id": null,
"opsgenie_id": null,
"victor_ops_id": null,
"pagertree_id": null,
"cortex_id": null,
"service_now_ci_sys_id": null,
"user_ids": [
969
],
"admin_ids": [],
"incidents_count": 0,
"alert_urgency_id": null,
"alerts_email_enabled": false,
"alerts_email_address": "[email protected]",
"alert_broadcast_enabled": false,
"alert_broadcast_channel": {},
"incident_broadcast_enabled": false,
"incident_broadcast_channel": {},
"auto_add_members_when_attached": false,
"created_at": "2026-01-21T11:23:37.941-08:00",
"updated_at": "2026-01-21T11:23:37.953-08:00"
},
"relationships": {
"users": {
"data": [
{
"id": "969",
"type": "users"
}
]
}
}
},
{
"id": "680f605b-b94f-4e0a-9383-19495bbe3e73",
"type": "schedules",
"attributes": {
"name": "Schedule 45",
"description": "Schedule description",
"all_time_coverage": false,
"slack_user_group": {},
"slack_channel": null,
"owner_user_id": 985,
"owner_group_ids": [],
"created_at": "2026-01-21T11:23:38.095-08:00",
"updated_at": "2026-01-21T11:23:38.108-08:00"
},
"relationships": {
"owner_user": {
"data": {
"id": "985",
"type": "users"
}
},
"escalation_policies": {
"data": []
}
}
},
{
"id": "f5750d5d-d86b-47b6-83c6-b7deecb5fbf4",
"type": "user_notification_rules",
"attributes": {
"user_id": 969,
"delay": 0,
"position": 1,
"user_email_address_id": "d920a7c0-e69d-4644-ba50-eaa5ffa37ef0",
"user_call_number_id": null,
"user_sms_number_id": null,
"user_device_id": null,
"enabled_contact_types": [
"email"
],
"created_at": "2026-01-21T11:23:34.973-08:00",
"updated_at": "2026-01-21T11:23:34.973-08:00"
}
},
{
"id": "a20d1770-482a-4f84-bf05-ed4b126385f2",
"type": "user_notification_rules",
"attributes": {
"user_id": 969,
"delay": 1,
"position": 1,
"user_email_address_id": null,
"user_call_number_id": null,
"user_sms_number_id": null,
"user_device_id": null,
"enabled_contact_types": [
"email"
],
"created_at": "2026-01-21T11:23:38.131-08:00",
"updated_at": "2026-01-21T11:23:38.131-08:00"
}
},
{
"id": "d522ea96-93dd-4727-8a22-e5a691e49eb1",
"type": "user_notification_rules",
"attributes": {
"user_id": 969,
"delay": 0,
"position": 2,
"user_email_address_id": "d920a7c0-e69d-4644-ba50-eaa5ffa37ef0",
"user_call_number_id": null,
"user_sms_number_id": null,
"user_device_id": null,
"enabled_contact_types": [
"email"
],
"created_at": "2026-01-21T11:23:34.966-08:00",
"updated_at": "2026-01-21T11:23:38.133-08:00"
}
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
comma separated if needed. eg: email_addresses,phone_numbers
email_addresses, phone_numbers, devices, role, on_call_role, teams, schedules, notification_rules user found with teams, schedules, and notification_rules includes
Show child attributes
Was this page helpful?
curl --request GET \
--url https://api.rootly.com/v1/users/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "969",
"type": "users",
"attributes": {
"name": "Shawn Wisoky",
"email": "[email protected]",
"phone": null,
"phone_2": null,
"first_name": "Shawn",
"last_name": "Wisoky",
"full_name": "Shawn Wisoky",
"full_name_with_team": "[Jakubowski-Stehr] Shawn Wisoky",
"slack_id": null,
"time_zone": "Etc/UTC",
"updated_at": "2026-01-21T11:23:35.221-08:00",
"created_at": "2026-01-21T11:23:34.926-08:00"
},
"relationships": {
"email_addresses": {
"data": [
{
"id": "d920a7c0-e69d-4644-ba50-eaa5ffa37ef0",
"type": "user_email_addresses"
}
]
},
"phone_numbers": {
"data": []
},
"devices": {
"data": []
},
"role": {
"data": {
"id": "93729700-195b-4e43-9e8b-610f0c21eb71",
"type": "roles"
}
},
"on_call_role": {
"data": {
"id": "0eda74f1-0f38-4a16-bce9-a5d59e2da5ac",
"type": "on_call_roles"
}
},
"teams": {
"data": [
{
"id": "d32fdff0-f892-4b1b-90d7-e05b51edb318",
"type": "groups"
}
]
},
"schedules": {
"data": [
{
"id": "680f605b-b94f-4e0a-9383-19495bbe3e73",
"type": "schedules"
}
]
},
"notification_rules": {
"data": [
{
"id": "f5750d5d-d86b-47b6-83c6-b7deecb5fbf4",
"type": "user_notification_rules"
},
{
"id": "a20d1770-482a-4f84-bf05-ed4b126385f2",
"type": "user_notification_rules"
},
{
"id": "d522ea96-93dd-4727-8a22-e5a691e49eb1",
"type": "user_notification_rules"
}
]
}
}
},
"included": [
{
"id": "d32fdff0-f892-4b1b-90d7-e05b51edb318",
"type": "groups",
"attributes": {
"slug": "dolorem-ratione-porro-cum",
"name": "Dolorem ratione porro cum.",
"description": null,
"color": "#E65252",
"position": 1,
"notify_emails": [],
"slack_channels": [],
"slack_aliases": [],
"pagerduty_id": null,
"pagerduty_service_id": null,
"backstage_id": null,
"external_id": null,
"opsgenie_id": null,
"victor_ops_id": null,
"pagertree_id": null,
"cortex_id": null,
"service_now_ci_sys_id": null,
"user_ids": [
969
],
"admin_ids": [],
"incidents_count": 0,
"alert_urgency_id": null,
"alerts_email_enabled": false,
"alerts_email_address": "[email protected]",
"alert_broadcast_enabled": false,
"alert_broadcast_channel": {},
"incident_broadcast_enabled": false,
"incident_broadcast_channel": {},
"auto_add_members_when_attached": false,
"created_at": "2026-01-21T11:23:37.941-08:00",
"updated_at": "2026-01-21T11:23:37.953-08:00"
},
"relationships": {
"users": {
"data": [
{
"id": "969",
"type": "users"
}
]
}
}
},
{
"id": "680f605b-b94f-4e0a-9383-19495bbe3e73",
"type": "schedules",
"attributes": {
"name": "Schedule 45",
"description": "Schedule description",
"all_time_coverage": false,
"slack_user_group": {},
"slack_channel": null,
"owner_user_id": 985,
"owner_group_ids": [],
"created_at": "2026-01-21T11:23:38.095-08:00",
"updated_at": "2026-01-21T11:23:38.108-08:00"
},
"relationships": {
"owner_user": {
"data": {
"id": "985",
"type": "users"
}
},
"escalation_policies": {
"data": []
}
}
},
{
"id": "f5750d5d-d86b-47b6-83c6-b7deecb5fbf4",
"type": "user_notification_rules",
"attributes": {
"user_id": 969,
"delay": 0,
"position": 1,
"user_email_address_id": "d920a7c0-e69d-4644-ba50-eaa5ffa37ef0",
"user_call_number_id": null,
"user_sms_number_id": null,
"user_device_id": null,
"enabled_contact_types": [
"email"
],
"created_at": "2026-01-21T11:23:34.973-08:00",
"updated_at": "2026-01-21T11:23:34.973-08:00"
}
},
{
"id": "a20d1770-482a-4f84-bf05-ed4b126385f2",
"type": "user_notification_rules",
"attributes": {
"user_id": 969,
"delay": 1,
"position": 1,
"user_email_address_id": null,
"user_call_number_id": null,
"user_sms_number_id": null,
"user_device_id": null,
"enabled_contact_types": [
"email"
],
"created_at": "2026-01-21T11:23:38.131-08:00",
"updated_at": "2026-01-21T11:23:38.131-08:00"
}
},
{
"id": "d522ea96-93dd-4727-8a22-e5a691e49eb1",
"type": "user_notification_rules",
"attributes": {
"user_id": 969,
"delay": 0,
"position": 2,
"user_email_address_id": "d920a7c0-e69d-4644-ba50-eaa5ffa37ef0",
"user_call_number_id": null,
"user_sms_number_id": null,
"user_device_id": null,
"enabled_contact_types": [
"email"
],
"created_at": "2026-01-21T11:23:34.966-08:00",
"updated_at": "2026-01-21T11:23:38.133-08:00"
}
}
]
}